diff -Naur nautilus-2.6.3-old/Makefile.in nautilus-2.6.3/Makefile.in
--- nautilus-2.6.3-old/Makefile.in	2004-06-14 17:33:10.000000000 -0400
+++ nautilus-2.6.3/Makefile.in	2004-07-02 09:03:52.000000000 -0400
@@ -195,7 +195,6 @@
 	libnautilus-private 	\
 	libnautilus-adapter	\
 	src 			\
-	test 			\
 	components		\
 	po 			\
 	data 			\
diff -Naur nautilus-2.6.3-old/components/emblem/Makefile.in nautilus-2.6.3/components/emblem/Makefile.in
--- nautilus-2.6.3-old/components/emblem/Makefile.in	2004-06-14 17:33:25.000000000 -0400
+++ nautilus-2.6.3/components/emblem/Makefile.in	2004-07-01 17:41:49.000000000 -0400
@@ -195,7 +195,7 @@
 					libmain.c 
 
 
-libnautilus_emblem_view_la_LDFLAGS = -module -avoid-version -no-undefined
+libnautilus_emblem_view_la_LDFLAGS = -module -avoid-version
 
 libnautilus_emblem_view_la_LIBADD = \
 	$(top_builddir)/libnautilus/libnautilus.la	\
diff -Naur nautilus-2.6.3-old/components/history/Makefile.in nautilus-2.6.3/components/history/Makefile.in
--- nautilus-2.6.3-old/components/history/Makefile.in	2004-06-14 17:33:23.000000000 -0400
+++ nautilus-2.6.3/components/history/Makefile.in	2004-07-01 17:41:49.000000000 -0400
@@ -188,7 +188,7 @@
 	$(NULL)
 
 
-libnautilus_history_view_la_LDFLAGS = -module -avoid-version -no-undefined
+libnautilus_history_view_la_LDFLAGS = -module -avoid-version
 
 libnautilus_history_view_la_LIBADD = \
 	$(top_builddir)/libnautilus/libnautilus.la	\
diff -Naur nautilus-2.6.3-old/components/notes/Makefile.in nautilus-2.6.3/components/notes/Makefile.in
--- nautilus-2.6.3-old/components/notes/Makefile.in	2004-06-14 17:33:23.000000000 -0400
+++ nautilus-2.6.3/components/notes/Makefile.in	2004-07-01 17:41:49.000000000 -0400
@@ -192,7 +192,7 @@
 	$(NULL)
 
 
-libnautilus_notes_view_la_LDFLAGS = -module -avoid-version -no-undefined
+libnautilus_notes_view_la_LDFLAGS = -module -avoid-version
 
 server_in_files = Nautilus_View_notes.server.in.in
 
diff -Naur nautilus-2.6.3-old/configure nautilus-2.6.3/configure
--- nautilus-2.6.3-old/configure	2004-06-14 17:32:36.000000000 -0400
+++ nautilus-2.6.3/configure	2004-07-01 17:41:49.000000000 -0400
@@ -24985,7 +24985,7 @@
 
 LIBNAUTILUS_LIBS="`$PKG_CONFIG --libs $LIBNAUTILUS_MODULES`"
 
-LIBNAUTILUS_IDL_INCLUDES="`$PKG_CONFIG --variable=idldir $LIBNAUTILUS_MODULES | $srcdir/add-include-prefix`"
+LIBNAUTILUS_IDL_INCLUDES="`$PKG_CONFIG --variable=idldir $LIBNAUTILUS_MODULES | xargs -n1 echo -n ' -I '`"
 
 
 LIBNAUTILUS_EXTENSION_MODULES="glib-2.0 gtk+-2.0 gnome-vfs-2.0"
@@ -24999,7 +24999,7 @@
 
 CORE_LIBS="`$PKG_CONFIG --libs $CORE_MODULES` $CDDA_LIBS $LIBJPEG $x_libs"
 
-CORE_IDL_INCLUDES="`$PKG_CONFIG --variable=idldir $CORE_MODULES | $srcdir/add-include-prefix`"
+CORE_IDL_INCLUDES="`$PKG_CONFIG --variable=idldir $CORE_MODULES | xargs -n1 echo -n ' -I '`"
 
 
 COMPONENT_MODULES="eel-2.0 libbonoboui-2.0 gnome-vfs-module-2.0 gnome-desktop-2.0"
diff -Naur nautilus-2.6.3-old/libnautilus/Makefile.in nautilus-2.6.3/libnautilus/Makefile.in
--- nautilus-2.6.3-old/libnautilus/Makefile.in	2004-06-14 17:33:12.000000000 -0400
+++ nautilus-2.6.3/libnautilus/Makefile.in	2004-07-02 09:02:20.000000000 -0400
@@ -186,7 +186,6 @@
 libnautilus_la_LDFLAGS = \
 	-version-info 2:0:0 \
 	$(LIBNAUTILUS_LIBS) \
-	-no-undefined \
 	$(NULL)
 
 
diff -Naur nautilus-2.6.3-old/libnautilus-private/Makefile.in nautilus-2.6.3/libnautilus-private/Makefile.in
--- nautilus-2.6.3-old/libnautilus-private/Makefile.in	2004-06-14 17:33:15.000000000 -0400
+++ nautilus-2.6.3/libnautilus-private/Makefile.in	2004-07-02 09:03:04.000000000 -0400
@@ -201,7 +201,6 @@
 
 libnautilus_private_la_LDFLAGS = \
 	-version-info 2:0:0		\
-	-no-undefined			\
 	$(dependency_static_libs)	\
 	$(CORE_LIBS)			\
 	$(NULL)
diff -Naur nautilus-2.6.3-old/libnautilus-private/nautilus-emblem-utils.c nautilus-2.6.3/libnautilus-private/nautilus-emblem-utils.c
--- nautilus-2.6.3-old/libnautilus-private/nautilus-emblem-utils.c	2003-12-18 13:38:23.000000000 -0500
+++ nautilus-2.6.3/libnautilus-private/nautilus-emblem-utils.c	2004-07-01 17:41:51.000000000 -0400
@@ -24,6 +24,8 @@
 
 #include <config.h>
 
+#include <sys/types.h>
+
 #include <utime.h>
 #include <stdio.h>
 #include <time.h>
diff -Naur nautilus-2.6.3-old/libnautilus-private/nautilus-medusa-support.c nautilus-2.6.3/libnautilus-private/nautilus-medusa-support.c
--- nautilus-2.6.3-old/libnautilus-private/nautilus-medusa-support.c	2001-10-28 15:21:46.000000000 -0500
+++ nautilus-2.6.3/libnautilus-private/nautilus-medusa-support.c	2004-07-01 17:41:51.000000000 -0400
@@ -30,6 +30,7 @@
 
 #include <eel/eel-glib-extensions.h>
 #include <eel/eel-string.h>
+#include <stdint.h>
 #include <dirent.h>
 #include <stdio.h>
 #include <sys/types.h>
diff -Naur nautilus-2.6.3-old/libnautilus-private/nautilus-program-chooser.c nautilus-2.6.3/libnautilus-private/nautilus-program-chooser.c
--- nautilus-2.6.3-old/libnautilus-private/nautilus-program-chooser.c	2004-02-11 11:03:40.000000000 -0500
+++ nautilus-2.6.3/libnautilus-private/nautilus-program-chooser.c	2004-07-01 17:41:51.000000000 -0400
@@ -26,6 +26,10 @@
 */
 
 #include <config.h>
+
+#include <crt_externs.h>
+#define environ (*_NSGetEnviron())
+
 #include "nautilus-program-chooser.h"
 
 #include "nautilus-global-preferences.h"
diff -Naur nautilus-2.6.3-old/libnautilus-private/nautilus-program-choosing.c nautilus-2.6.3/libnautilus-private/nautilus-program-choosing.c
--- nautilus-2.6.3-old/libnautilus-private/nautilus-program-choosing.c	2004-04-07 13:22:26.000000000 -0400
+++ nautilus-2.6.3/libnautilus-private/nautilus-program-choosing.c	2004-07-01 17:41:51.000000000 -0400
@@ -56,6 +56,9 @@
 #define MAX_URI_IN_DIALOG_LENGTH 60
 
 
+#include <crt_externs.h>
+#define environ (*_NSGetEnviron())
+
 #ifdef HAVE_STARTUP_NOTIFICATION
 #define SN_API_NOT_YET_FROZEN
 #include <libsn/sn.h>
diff -Naur nautilus-2.6.3-old/ltmain.sh nautilus-2.6.3/ltmain.sh
--- nautilus-2.6.3-old/ltmain.sh	2004-04-05 19:24:18.000000000 -0400
+++ nautilus-2.6.3/ltmain.sh	2004-07-01 17:41:52.000000000 -0400
@@ -2261,7 +2261,7 @@
 	   { test "$prefer_static_libs" = no || test -z "$old_library"; }; then
 	  if test "$installed" = no; then
 	    notinst_deplibs="$notinst_deplibs $lib"
-	    need_relink=yes
+	    # need_relink=yes
 	  fi
 	  # This is a shared library
 	
diff -Naur nautilus-2.6.3-old/po/Makefile.in.in nautilus-2.6.3/po/Makefile.in.in
--- nautilus-2.6.3-old/po/Makefile.in.in	2004-06-14 17:32:25.000000000 -0400
+++ nautilus-2.6.3/po/Makefile.in.in	2004-07-01 17:41:52.000000000 -0400
@@ -28,7 +28,7 @@
 exec_prefix = @exec_prefix@
 datadir = @datadir@
 libdir = @libdir@
-localedir = $(libdir)/locale
+localedir = $(datadir)/locale
 gnulocaledir = $(datadir)/locale
 gettextsrcdir = $(datadir)/glib-2.0/gettext/po
 subdir = po
